Tek-Tips is the largest IT community on the Internet today!

Members share and learn making Tek-Tips Forums the best source of peer-reviewed technical information on the Internet!

  • Congratulations strongm on being selected by the Tek-Tips community for having the most helpful posts in the forums last week. Way to Go!

Replacing points with one block

Status
Not open for further replies.

chrimic81

Technical User
Dec 17, 2003
1
CA
I have to replace 118 points with the same block, in one drawing. How should I procede so I don't have to insert my block 118 times?
(I'm using Autodesk Map 3D 2005)
 
You could write a script or lisp to do this.

A lisp routine would be something like:

(princ "\nSelect points to replace:")
(setq PointSet (ssget '((0 . "POINT"))))
(setq Count 0)
(repeat (sslength PointSet)
(setq Ename (ssname PoinSet Count))
(setq InsPpoint (cdr (assoc 10 Ename)))
(entdel Ename);erases point
(command "._-insert" "BlockNameHere" InsPoint 1 1 0)
;;edit above line with block name, scales, rotation
(setq Count (1+ Count))
);repeat
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor

Back
Top